Package org.eclipse.graphiti.features

## Interface IDeleteFeature

All Superinterfaces:
  `IDelete`, `IDescription`, `IFeature`, `IFeatureProviderHolder`, `IName`

All Known Implementing Classes:
  `DefaultDeleteFeature`, `DeleteFeatureForPattern`

    public interface IDeleteFeature
    extends IFeature, IDelete

The Interface IDeleteFeature.

### Method Summary

### Methods inherited from interface org.eclipse.graphiti.func.IDelete

`canDelete, delete, isDeleteAbort, postDelete, preDelete`

### Methods inherited from interface org.eclipse.graphiti.IDescription

`getDescription`

### Methods inherited from interface org.eclipse.graphiti.features.IFeature

`canExecute, canUndo, execute, hasDoneChanges, isAvailable`

### Methods inherited from interface org.eclipse.graphiti.features.IFeatureProviderHolder

`getFeatureProvider`

### Methods inherited from interface org.eclipse.graphiti.IName

`getName`